Skip to content
getgeolens.com

Get Quicklook

GET
/datasets/{dataset_id}/quicklook
curl --request GET \
--url 'https://example.com/api/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/quicklook?size=256' \
--header 'Authorization: Bearer <token>'

Serve a quicklook PNG image for a dataset.

dataset_id
required
Dataset Id
string format: uuid
size
Size

Quicklook size in pixels (256 or 512)

integer
default: 256 >= 1 <= 512

Quicklook size in pixels (256 or 512)

Successful Response

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}